apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ./flux-system
  - ./helm-repositories.yaml


# infrastructure
  - ../../infrastructure/kafka/d8-ugmk-prod
  - ../../infrastructure/rabbitmq/d8-ugmk-prod
  - ../../infrastructure/camunda/d8-ugmk-prod
  - ../../infrastructure/vault/d8-ugmk-prod
  - ../../infrastructure/postgresql/d8-ugmk-prod
  - ../../infrastructure/zitadel/d8-ugmk-prod
  - ../../infrastructure/superset/d8-ugmk-prod
  - ../../infrastructure/trino/d8-ugmk-prod
  - ../../infrastructure/istio-config/d8-ugmk-prod
  - ./istio-ingress

# apps
  - ../../apps/attachments/d8-ugmk-prod
  - ../../apps/control-interface/d8-ugmk-prod
  - ../../apps/cross-section/d8-ugmk-prod
  - ../../apps/reviews/d8-ugmk-prod
  - ../../apps/remarks/d8-ugmk-prod
  - ../../apps/auth-flow/d8-ugmk-prod
  - ../../apps/notes/d8-ugmk-prod
  - ../../apps/workspaces/d8-ugmk-prod
  - ../../apps/rfi/d8-ugmk-prod
  - ../../apps/eav/d8-ugmk-prod
  - ../../apps/django/d8-ugmk-prod
  - ../../apps/documentations/d8-ugmk-prod
  - ../../apps/checklists/d8-ugmk-prod
  - ../../apps/contracts/d8-ugmk-prod
  - ../../apps/iam/d8-ugmk-prod
  - ../../apps/subscriptions/d8-ugmk-prod
  - ../../apps/system-log/d8-ugmk-prod
  - ../../apps/projects/d8-ugmk-prod
  - ../../apps/processing/d8-ugmk-prod
  - ../../apps/measurements/d8-ugmk-prod
  - ../../apps/faas/d8-ugmk-prod
  - ../../apps/drawings/d8-ugmk-prod
  - ../../apps/comparisons/d8-ugmk-prod
  - ../../apps/prescriptions/d8-ugmk-prod
  - ../../apps/mapper/d8-ugmk-prod
  - ../../apps/stamp-verification/d8-ugmk-prod
  - ../../apps/document-link/d8-ugmk-prod
  - ../../apps/bim/d8-ugmk-prod
  - ../../apps/cde/d8-ugmk-prod
  - ../../apps/flows/d8-ugmk-prod
  - ../../apps/inspections/d8-ugmk-prod
  - ../../apps/issues/d8-ugmk-prod
  - ../../apps/pm/d8-ugmk-prod
  - ../../apps/message-hub/d8-ugmk-prod
  - ../../apps/transmittal/d8-ugmk-prod
